def atleast_admin(self, user, channel):
    if channel not in self.channels:
        return False
    if self.channels[channel].is_owner(user) or self.channels[channel].is_admin(user):
        return True
    else:
        return False
        
def atleast_oper(self, user, channel):
    if channel not in self.channels:
        return False
    if self.channels[channel].is_owner(user) or self.channels[channel].is_admin(user) or self.channels[channel].is_oper(user):
        return True
    else:
        return False

def atleast_halfop(self, user, channel):
    if channel not in self.channels:
        return False
    if self.channels[channel].is_owner(user) or self.channels[channel].is_admin(user) or self.channels[channel].is_oper(user) or self.channels[channel].is_halfop(user):
        return True
    else:
        return False

def atleast_voiced(self, user, channel):
    if channel not in self.channels:
        return False
    if self.channels[channel].is_owner(user) or self.channels[channel].is_admin(user) or self.channels[channel].is_oper(user) or self.channels[channel].is_halfop(user) or self.channels[channel].is_voiced(user):
        return True
    else:
        return False
